scala.tools.cmd.gen.AnyVals

# Z

#### object Z extends AnyValRep

Source
  AnyVals.scala

Linear Supertypes
AnyVals.AnyValRep, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Z
2. AnyValRep
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def assemble(decl: String, lines: List[String]): String

   Definition Classes
     AnyValRep

6. #### def boxUnboxImpls: Map[String, String]

   Definition Classes
     AnyValRep

7. #### def boxedName: String

   Definition Classes
     AnyValRep

8. #### def boxedSimpleName: String

   Definition Classes
     AnyValRep

9. #### def classDoc: String

   Definition Classes
     AnyValRep

10. #### def classLines: List[String]

    Definition Classes
      Z → AnyValRep

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def commonClassLines: collection.immutable.List[String]

    Definition Classes
      AnyValRep

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### def indent(s: String): String

    Definition Classes
      AnyValRep

19. #### def indentN(s: String): String

    Definition Classes
      AnyValRep

20. #### def interpolate(s: String): String

    Definition Classes
      AnyValRep

21. #### def interpolations: Map[String, String]

    Definition Classes
      AnyValRep

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val javaEquiv: String

    Definition Classes
      AnyValRep

24. #### def lcname: String

    Definition Classes
      AnyValRep

25. #### def make(): String

    Definition Classes
      AnyValRep

26. #### def mkClass: String

    Definition Classes
      AnyValRep

27. #### def mkImports: String

    Definition Classes
      AnyValRep

28. #### def mkObject: String

    Definition Classes
      AnyValRep

29. #### val name: String

    Definition Classes
      AnyValRep

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### def objectDoc: String

    Definition Classes
      AnyValRep

34. #### def objectLines: List[String]

    Definition Classes
      Z → AnyValRep

35. #### val repr: Option[String]

    Definition Classes
      AnyValRep

36. #### def representation: String

    Definition Classes
      AnyValRep

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyValRep → AnyRef → Any

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### def zeroRep: String

    Definition Classes
      AnyValRep

### Inherited from AnyVals.AnyValRep

### Inherited from AnyRef

### Inherited from Any

### Ungrouped